WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Politically Correct

Swaps the occasional "politically incorrect" term with a more socially acceptable replacement.

NOTE: This plugin was meant to be funny, and to help me in learning more about creating WordPress plugins. If you don't see the humor in it, you're taking yourself too seriously. And who knows? Someone might actually find it useful.

Politically Correct swaps the occasional "politically incorrect" term with a more socially acceptable replacement. For instance, if your author types "shell-shock",

your viewers see "post-traumatic stress disorder". If your author types "retarded", your viewers see "mentally challenged".

Features

  • Admin options page
  • Can be used as an input action or as an output filter
  • Apply the plugin to all users or select specific users
  • Apply the plugin for all categories, or select specific categories

Planned features:

  • Allow admins to define custom search terms and replacements

Requires: 2.1 or higher
Compatible up to: 2.8.5
Last Updated: 2009-10-15
Downloads: 329

Ratings

1 star
1 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.